Opensuse 13.2 supported ?

Discussion in 'Installation/Configuration' started by muekno, Oct 16, 2015.

  1. muekno

    muekno Member HowtoForge Supporter

    I am on ISPconfig, my servers are running Opensuse 13.1 very well. I plan to upgrade to 13.2 via Zypper. Will there be any problems. incompatibilities. Some time before 13.2 was not supported and made some problems.


  2. muekno

    muekno Member HowtoForge Supporter

    Still no answer?
    opensuse 13.1 will run out of support in january 2016, 13.2 will run out of support in january 2017. So first can anybody tell me will 13.2 be supported. I remember the were some problems I had. On the other site suse has now released opensuse leap 42.1 with longer support of 36 month for major release. On a test install without ISPConfig it looks fine. So if 13.2 ist still not supported I suggest to skip 13.2 but support leap 42.1 asap.

    Would be very nice to get some comment from the ISPConfig developers.

    More information about Lifetime of opensuse can be found here
  3. till

    till Super Moderator Staff Member ISPConfig Developer

    We have not tested ISPConfig on OpenSuSE 13.2 so I cant tell you if it will work or not. As long as SiúSE did not change too much, it should work.
  4. muekno

    muekno Member HowtoForge Supporter

    I had some problems, perhaps you remember and you told me it is not supported, so I went back to 13.1. Now I like skip 13.2 and go directly to 42.1 on some reasons, it will be supported at least 36 month. It is based on SLES but with actual drivers and actual applications. So it should be very stable. I will do a testinstallation of ISP Config an 42.1 and report.
    Thanks for reply

  5. scenic2

    scenic2 New Member

    Hello, Rainner!
    Can you share with us your test results?
    I already have 3 running server with OpenSuse 13.1 and 12.2 version and now I want to install a new server.
    Because recomended distribution for Ispconfig 3 is Debian I tried to install Debian 8 Jessie on a RAID 10 volume but no succes.
    So I returned to OpenSuse but, like you said too, i want a actual version with longer support.

    Thank You very much!
    Thank You too, Till for all your work!
  6. muekno

    muekno Member HowtoForge Supporter

    All I could say for now 13.1 works well since over a year in production in 2 multiserver systems. but 31.1 will run out of support soon. 12.2 ist still old. Although the ISPConfig systems are set up on new 13.1 installations I had made good experiance with reales upgrade vi zypper, i.e. like here opensuse zypper update. There are descriptions for each version, but they are all working the same way. I even jumped from 11.x to 13.1 without mayor problems, but would not recommend it.

    I upgraded with the zypper method 2 of my ISPConfig Slaves (webserver only) from 13.1 to 13.2, without mayor problems. problems are only when changeing Apache from 2.2 to 2.4 as some configs have to be changed, see, I also found in 13.1 that some updates of mysql / mariadb, changes sqlmode= while reintroducing strict_mode, I also found some updates added a second my.cnf additional to that in /etc/, just delete the new one and leave this in/etc/.
    Also sometimes I get this error SuexecUserGroup configured, but suEXEC is disabled: Invalid owner or file mode for /usr/sbin/suexec2, "chmod 4755 /usr/sbin/suexec2" solves the problem, see too

    I also did an installation on leap 42.1 as I wrote, runs quite fine on testserver but had not much time for testing. As my main production server running ESXi can not run 64bit servers yet in the ESXi enviorement (CPU does not support it) and I have not the time to test 42.1 enough I think I will upgrade all other servers to 13.2 via zypper, so giving me an other year of support.

    Further experiances I will post in the 2 FYI threads and

    so you might subscribe these threads

    What I found out that there are still a lot of patches for 42.1 are comming out. On the other site as the zypper release update is quite simple with minimal downtime of just rebooting and eventuelly do some minor changes on Apache or file rights or my.cnf. If you know that problems they are fixed in minutes, so downtime will still be short. I hope the will be an upgrade via zypper to 42.1 later.

    scenic2 and till like this.

Share This Page